Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79486 - Installer crashes when mkbootdisk and mkinitrd aren't selected
Summary: Installer crashes when mkbootdisk and mkinitrd aren't selected
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: anaconda
Version: 2.1
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-12 10:45 UTC by Need Real Name
Modified: 2007-11-30 22:06 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-03-18 23:07:43 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Need Real Name 2002-12-12 10:45:09 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3; Linux)

Description of problem:
In a 'select individual packages' install I can
deselect the mkbootdisk and mkinitrd packages
but later on in the installation, when apparently
these packages are needed by the installation procedure
(for creating a bootdisk I presume), the installer crashes.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Start installing Redhat AS21
2. Choose the 'select individual packages' method
3. Deselect 'mkbootdisk' and/or 'mkinitrd'
4. Check the 'create bootdisk' option
5. Proceed installation

Actual Results:  The installer crashes

Expected Results:  Installer should have finished

Additional info:

Comment 1 Jeremy Katz 2002-12-17 03:22:23 UTC
The current code base makes sure that you install things which are required for
later in the installation

Comment 2 Mike McLean 2003-03-18 23:07:43 UTC
confirmed. Certain critical packages are not optional even when selecting
individual packages -- grub for example (at least when using grub as the boot
loader).

mkbootdisk is not one of those packages, but the installer handles things
gracefully when mkbootdisk is absent.

closing->rawhide





Note You need to log in before you can comment on or make changes to this bug.